# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Image.Rel

    java.lang.Object
      com.google.gdata.data.extensions.Image.Rel

Enclosing class:
  Image

    public static final class Image.Rel

extends java.lang.Object

Image type. Describes the type of image.

Field Summary
`static java.lang.String` `FULL` g.full: Full sized image
`static java.lang.String` `RAW` g.raw: Raw image
`static java.lang.String` `RESIZED` g.resized: Image resized for on-screen viewing
`static java.lang.String` `SCALABLE` g.scalable: Image can be requested in various sizes
`static java.lang.String` `THUMBNAIL` g.thumbnail: Small thumbnail

Constructor Summary
`Image.Rel()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FULL

    public static final java.lang.String FULL

  g.full: Full sized image

### SCALABLE

    public static final java.lang.String SCALABLE

  g.scalable: Image can be requested in various sizes

  See Also:
    Constant Field Values

### RESIZED

    public static final java.lang.String RESIZED

  g.resized: Image resized for on-screen viewing

  See Also:
    Constant Field Values

### THUMBNAIL

    public static final java.lang.String THUMBNAIL

  g.thumbnail: Small thumbnail

  See Also:
    Constant Field Values

### RAW

    public static final java.lang.String RAW

  g.raw: Raw image

  See Also:
    Constant Field Values

Constructor Detail

### Image.Rel

    public Image.Rel()